map = {5000, 5000} -- width, height

function updateMap(dt)
  cam:setPosition(player.x, player.y)
end


mapbackground = {}
mapbackgrounds = {love.graphics.newImage("resources/mapbg1.png"), love.graphics.newImage("resources/mapbg2.png"), love.graphics.newImage("resources/mapbg3.png"),
love.graphics.newImage("resources/mapbg4.png")}

local dockedui = {}
dockedui.img = love.graphics.newImage("resources/dock.png")
dockedui.info = {dockedui.img:getWidth(), dockedui.img:getHeight()}

gridx, gridy = map[1] / mapbackgrounds[1]:getWidth(), map[2] / mapbackgrounds[1]:getHeight()


planetimages = {love.graphics.newImage("resources/Planet.png"), love.graphics.newImage("resources/Planet1.png"), love.graphics.newImage("resources/Planet2.png"),
love.graphics.newImage("resources/Planet3.png")}
planets = {}
planetinfo = {planetimages[1]:getWidth(), planetimages[1]:getHeight(), 0}

asteroidimages = {love.graphics.newImage("resources/Asteroid.png"), love.graphics.newImage("resources/Asteroid2.png")}
asteroids = {}
asteroidinfo = {asteroidimages[1]:getWidth(), asteroidimages[1]:getHeight(), 0}


map.numcollidable = 0





function setupEntintys()
  math.randomseed( os.time() )

  local x = map[1]/200
  local y = map[2]/200
  local index = 1
  local index1 = 1
  for i = 0, x do
    for e = 0, y do
      local roll = math.random(1, 40)
      if roll == 1 then
        local type = math.random(1, #planetimages)
        planets[index] = {planetimages[type], 0 + (i * 200), 0 + (e * 200), false, type}
        planetinfo[3] = planetinfo[3] + 1
        index = index + 1
      elseif roll > 38 then
        local type = math.random(1, #asteroidimages)
        asteroids[index1] = {asteroidimages[type], 0 + (i * 200), 0 + (e * 200), false, type}
        asteroidinfo[3] = asteroidinfo[3] + 1
        index1 = index1 + 1
      end
    end
  end
end


function setupMap()
  math.randomseed( os.time() )
  for i = 1, gridx do
     mapbackground[i] = {}
     for e = 1, gridy do
       local number = math.random(1,#mapbackgrounds)
       mapbackground[i][e] = {number}
     end
   end

   setupEntintys()
end

function drawMap()
  local a, b = 0, 0
  for i =  1,gridx do
    for e = 1,gridy do
      love.graphics.draw(mapbackgrounds[mapbackground[i][e][1]], a, b)
      b = b + 1000
    end
    a = a + 1000
    b = 0
  end

  for i = 1, #planets do
    love.graphics.draw(planets[i][1], planets[i][2], planets[i][3])
  end

  for i = 1, #asteroids do
    love.graphics.draw(asteroids[i][1], asteroids[i][2], asteroids[i][3])
  end

  if player.collision then
    for i = 1, #player.range do
      if player.range[i][1] == "asteroid" then
        love.graphics.draw(dockedui.img, player.range[i][2] + (asteroidinfo[1]/2) - (dockedui.info[1]/2), player.range[i][3] + asteroidinfo[2] + 5)
        love.graphics.print("DOCK", player.range[i][2] + (asteroidinfo[1]/3.1), player.range[i][3] + asteroidinfo[2] + 10)
      elseif player.range[i][1] == "planet" then
        love.graphics.draw(dockedui.img, player.range[i][2] + (planetinfo[1]/2) - (dockedui.info[1]/2), player.range[i][3] + planetinfo[2] + 5)
        love.graphics.print("DOCK", player.range[i][2] + (planetinfo[1]/2.8), player.range[i][3] + planetinfo[2] + 10)
      end
    end
  end
end

function clickDock(x, y, button)
  for i = 1, #player.range do
    if player.range[i][1] == "asteroid" then
      local dockedx, dockedy = cam:toScreen(player.range[i][2] + (asteroidinfo[1]/2) - (dockedui.info[1]/2), player.range[i][3] + asteroidinfo[2] + 5)
      if x >= dockedx and x <= dockedx + (dockedui.info[1] * startscale) and y >= dockedy and y <= dockedy + (dockedui.info[2] * startscale) then
        dockedtype = {"asteroid", asteroids[player.range[i][4]][5]}
        return true
      end
    elseif player.range[i][1] == "planet" then
      local dockedx, dockedy = cam:toScreen(player.range[i][2] + (planetinfo[1]/2) - (dockedui.info[1]/2), player.range[i][3] + planetinfo[2] + 5)
      if x >= dockedx and x <= dockedx + (dockedui.info[1] * startscale) and y >= dockedy and y <= dockedy + (dockedui.info[2] * startscale) then
        dockedtype = {"planet", planets[player.range[i][4]][5]}
        return true
      end
    end
  end
end
