
player = {}
player.x, player.y, player.speed, player.dir, player.fuel = map[1] / 2, map[2] / 2, 200, 1, 100
player.img = {love.graphics.newImage("resources/ShipFoward.png"), love.graphics.newImage("resources/ShipRight.png"), love.graphics.newImage("resources/ShipLeft.png"),
love.graphics.newImage("resources/ShipDown.png")}
player.info = {player.img[1]:getWidth(), player.img[1]:getHeight()}
player.collision = false
player.range = {}
player.cargo = {}
player.maxcargo = 30
player.mining = 1
player.miningtime = 301
player.mininglevel = 1

--controlpad
controlpad = {}
controlpad.imgs = {love.graphics.newImage("resources/controlpad.png"), love.graphics.newImage("resources/controlpadup.png"), love.graphics.newImage("resources/controlpaddown.png"), love.graphics.newImage("resources/controlpadleft.png"),
love.graphics.newImage("resources/controlpadright.png")}
controlpad.show = true
controlpad.scale = 2
controlpad.x, controlpad.y = 20 * controlpad.scale, height - (120 * controlpad.scale)
controlpad.dir = 1

zoom = {}
zoom.imgs = {love.graphics.newImage("resources/zoomout.png"), love.graphics.newImage("resources/zoomin.png")}
zoom.scale = 1
zoom.x1, zoom.y1 = width - (zoom.imgs[1]:getWidth() *zoom.scale) - 20, height - ((5 + zoom.imgs[1]:getHeight()) * zoom.scale)
zoom.x2, zoom.y2 = width - (zoom.imgs[1]:getWidth() *zoom.scale) - 20, height - ((65 + zoom.imgs[1]:getHeight()) * zoom.scale)

if love.system.getOS() == "Android" then
  controlpad.show = true
else
  controlpad.show = false
end

function playerMiningDraw()
  love.graphics.setLineWidth(4)
  love.graphics.setColor(75,120,58)
  love.graphics.rectangle("fill", 90 + 2, 320 - 48, player.miningtime, 21)
  love.graphics.setColor(42,42,42)
  love.graphics.rectangle("line", 90, 320 - 50, 305, 25)
  love.graphics.setColor(255,255,255)
    love.graphics.setLineWidth(1)
end

function playerMiningUpdate(dt)
  if player.miningtime > 0 then
    player.miningtime = player.miningtime - ((player.mininglevel * 10) * dt)
  elseif player.miningtime <= 0 then
    player.mining = 3
  end
  math.min(player.miningtime)
end
function updatePlayer(dt)
  if love.system.getOS() ~= "Android" then
    controlpad.dir = 1
  end
  if love.keyboard.isDown("up") or controlpad.dir == 2 then
    player.y = player.y - (player.speed * dt)
    player.dir, controlpad.dir = 1, 2
    if player.y <= 0 then player.y = 0 end
  elseif love.keyboard.isDown("right") or controlpad.dir == 5 then
    player.x = player.x + (player.speed * dt)
    player.dir, controlpad.dir = 2, 5
    if player.x >= map[1] - player.img[player.dir]:getWidth() then player.x = map[2] - player.img[player.dir]:getWidth() end
  elseif love.keyboard.isDown("left") or controlpad.dir == 4 then
    player.x = player.x - (player.speed * dt)
    player.dir, controlpad.dir = 3, 4
    if player.x <= 0 then player.x = 0 end
  elseif love.keyboard.isDown("down") or controlpad.dir  == 3 then
    player.y = player.y + (player.speed * dt)
    player.dir, controlpad.dir = 4, 3
    if player.y >= map[1] - player.img[player.dir]:getHeight() then player.y = map[2] - player.img[player.dir]:getHeight() end
  end  --collision
  checkCollisions()
end

function checkCollisions()
  for a = #asteroids, 1, -1 do
    if asteroids[a][4] == false and player.x + (player.info[1]/2) >= asteroids[a][2] - 50 and player.x + (player.info[1]/2) <= asteroids[a][2] + asteroidinfo[1] + 50 and player.y + (player.info[2]/2) >= asteroids[a][3] - 50 and player.y + (player.info[2]/2) <= asteroids[a][3] + asteroidinfo[2] + 50 then
      table.insert(player.range, {"asteroid", asteroids[a][2], asteroids[a][3], a})
      asteroids[a][4] = true
    end
  end

  for a = #planets, 1, -1 do
    if planets[a][4] == false and player.x + (player.info[1]/2) >= planets[a][2] - 50 and player.x + (player.info[1]/2) <= planets[a][2] + planetinfo[1] + 50 and player.y + (player.info[2]/2) >= planets[a][3] - 50 and player.y + (player.info[2]/2) <= planets[a][3] + planetinfo[2] + 50 then
      table.insert(player.range, {"planet", planets[a][2], planets[a][3], a})
      planets[a][4] = true
    end
  end



  for a = #player.range, 1, -1 do
    if player.range[a][1] == "asteroid" then
      if player.x + (player.info[1]/2) >= player.range[a][2] - 50 and player.x + (player.info[1]/2) <= player.range[a][2] + asteroidinfo[1] + 50 and player.y + (player.info[2]/2) >= player.range[a][3] - 50 and player.y + (player.info[2]/2) <= player.range[a][3] + asteroidinfo[2] + 50 then
      else
        asteroids[player.range[a][4]][4] = false
        table.remove(player.range, a)
      end
    elseif player.range[a][1] == "planet" then
      if player.x + (player.info[1]/2) >= player.range[a][2] - 50 and player.x + (player.info[1]/2) <= player.range[a][2] + planetinfo[1] + 50 and player.y + (player.info[2]/2) >= player.range[a][3] - 50 and player.y + (player.info[2]/2) <= player.range[a][3] + planetinfo[2] + 50 then
      else
        planets[player.range[a][4]][4] = false
        table.remove(player.range, a)
      end
    end
  end

  if #player.range >= 1 then
    player.collision = true
  else
    player.collision = false
  end
end

function drawPlayer()
  love.graphics.draw(player.img[player.dir], player.x, player.y)
end


function drawControls()
  if controlpad.show then
    love.graphics.push()
    love.graphics.scale(controlpad.scale)
    love.graphics.draw(controlpad.imgs[controlpad.dir], controlpad.x / controlpad.scale , controlpad.y / controlpad. scale)
    love.graphics.pop()
  end

  love.graphics.push()
  love.graphics.scale(zoom.scale)
  love.graphics.draw(zoom.imgs[1], zoom.x1 / zoom.scale, zoom.y1 / zoom.scale)
  love.graphics.draw(zoom.imgs[2], zoom.x2 / zoom.scale, zoom.y2 / zoom.scale)
  love.graphics.pop()
end

function playerControlsPressed(x, y)
  if x >= controlpad.x and x <= controlpad.x + ((controlpad.imgs[1]:getWidth() * controlpad.scale)/ 3)  and y >= controlpad.y + ((controlpad.imgs[1]:getHeight() * controlpad.scale) / 2.9)
  and y <= controlpad.y + ((controlpad.imgs[1]:getWidth() * controlpad.scale)/ 1.5) then
    controlpad.dir = 4
  elseif x >= controlpad.x + ((controlpad.imgs[1]:getWidth() * controlpad.scale)/ 1.5) and x <= controlpad.x + controlpad.imgs[1]:getWidth() * controlpad.scale and y >= controlpad.y + ((controlpad.imgs[1]:getHeight() * controlpad.scale) / 2.9)
  and y <= controlpad.y + ((controlpad.imgs[1]:getWidth() * controlpad.scale)/ 1.5) then
    controlpad.dir = 5
  elseif x >= controlpad.x + ((controlpad.imgs[1]:getWidth()* controlpad.scale) / 2.9) and x <= controlpad.x + ((controlpad.imgs[1]:getWidth() * controlpad.scale)/ 1.5) and y >= controlpad.y and
  y <= controlpad.y + ((controlpad.imgs[1]:getHeight()* controlpad.scale) / 2) then
    controlpad.dir = 2
  elseif x >= controlpad.x + ((controlpad.imgs[1]:getWidth()* controlpad.scale) / 2.9) and x <= controlpad.x + ((controlpad.imgs[1]:getWidth() * controlpad.scale)/ 1.5)  and y >= controlpad.y + ((controlpad.imgs[1]:getHeight() * controlpad.scale) / 3)
  and y <= controlpad.y + (controlpad.imgs[1]:getHeight() * controlpad.scale) then
    controlpad.dir = 3
  end

  if x >= zoom.x2 and x <= zoom.x2 + (zoom.imgs[1]:getWidth() * zoom.scale) and y >= zoom.y2 and y <= zoom.y2 + (zoom.imgs[1]:getHeight() * zoom.scale) then
    startscale = startscale + .1
    cam:setScale(startscale)
  elseif x >= zoom.x1 and x <= zoom.x1 + (zoom.imgs[1]:getWidth() * zoom.scale) and y >= zoom.y1 and y <= zoom.y1 + (zoom.imgs[1]:getHeight() * zoom.scale) then
    startscale = startscale - .1
    cam:setScale(startscale)
  end
end

function playerControlsReleased(x, y)
  controlpad.dir = 1
end
