

--Table
local state = {}

--New
function state:new()
	return lovelyMoon.new(self)
end

--Load
function state:load()
	setupMap()
end

--Close
function state:close()

end

--Enable
function state:enable()
	love.window.setTitle("LovelyState - Game State")
end

--Disable
function state:disable()

end

--Update
function state:update(dt)
	updatePlayer(dt)
	updateMap(dt)
end

--Draw
function state:draw()
	cam:draw(function(l,t,w,h)
		drawMap()
		drawPlayer()
	end)
	drawControls()
	love.graphics.print("x: ".. player.x, 10, 10)
	love.graphics.print("y: ".. player.y, 10, 25)
	love.graphics.print("planets: ".. planetinfo[3], 10, 40)
	love.graphics.print("asteroids: ".. asteroidinfo[3], 10, 55)
	love.graphics.print(tostring(player.collision), 10, 70)
end

--KeyPressed
function state:keypressed(key, unicode)
	if key == "m" then
		lovelyMoon.switchState("gamemain", "menu")
	elseif key == "escape" then
		lovelyMoon.switchState("gamemain", "pause")
	end
end

--KeyReleased
function state:keyreleased(key, unicode)

end

--MousePressed
function state:mousepressed(x, y, button)
	playerControlsPressed(x, y)
	if clickDock(x, y, button) then lovelyMoon.switchState("gamemain", "docked") if love.system.getOS() == "Android" then
	  love.system.createBanner("ca-app-pub-6995936592664783/6457960352", "top", "SMART_BANNER")
	end end
end

--MouseReleased
function state:mousereleased(x, y, button)
	playerControlsReleased(x,y)
end

return state
